Skip to main content
GET
/
api
/
lines
/
by-user
Get all lines
curl --request GET \
  --url https://app.tuco.ai/api/lines/by-user \
  --header 'Authorization: Bearer <token>'
{
  "lines": [
    {
      "_id": "699f704bc405fae6ca299a08",
      "workspaceId": "org_3ABCDbdGyF6w99hikyVN4cmo6H0",
      "phone": "+16462230920",
      "email": "goforlisa@icloud.com",
      "firstName": "Lindsey",
      "lastName": "Rodriguez",
      "isActive": true,
      "provisioningStatus": "active",
      "lineType": "byon",
      "dailyNewConversationsLimit": 20,
      "dailyTotalMessagesLimit": 50,
      "usage": {
        "date": "2026-03-01",
        "newConversationsCount": 4,
        "totalMessagesCount": 11
      },
      "healthCheck": {
        "status": "healthy",
        "lastCheckedAt": "2026-03-01T20:52:00.097Z"
      },
      "createdAt": "2026-02-25T21:57:31.276Z",
      "updatedAt": "2026-03-01T20:52:04.622Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Workspace API key: Authorization: Bearer tuco_sk_xxxxxxxxxxxxx

Response

List of lines

lines
object[]